<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dns" id="requests-by-timeslot" charttype="histogram">

 <lire:title>Requests By Timeslot DNS Report</lire:title>
 <lire:description>
  <para>This report shows the number of requests aggregated in
   configurable time slots (by hours of the day, by days of the weeks,
   etc.).</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="timeslot" type="duration" default="1h">
   <lire:description>
    <para>This parameter controls the time slot over which the
     requests are aggregated.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Requests by $timeslot Timeslot</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timeslot unit="$timeslot">
   <lire:count name="request"/>
  </lire:timeslot>
 </lire:report-calc-spec>

</lire:report-spec>

<!--
Keep this comment at the end of the file
Local variables:
mode: xml
-->
